Subject: [sidr] I-D Action: draft-ietf-sidr-rpki-validation-reconsidered-02.txt

From: [email-masked]
Date: Fri, 09 Oct 2015 10:06:50 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
 This draft is a work item of the Secure Inter-Domain Routing Working Group of the IETF.

        Title           : RPKI Validation Reconsidered
        Authors         : Geoff Huston
                          George Michaelson
                          Carlos M. Martinez
                          Tim Bruijnzeels
                          Andrew Lee Newton
                          Alain Aina
	Filename        : draft-ietf-sidr-rpki-validation-reconsidered-02.txt
	Pages           : 12
	Date            : 2015-10-09

Abstract:
   This document reviews the certificate validation procedure specified
   in RFC6487 and highlights aspects of operational fragility in the
   management of certificates in the RPKI.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-sidr-rpki-validation-reconsidered/

There's also a htmlized version available at:
https://tools.ietf.org/html/draft-ietf-sidr-rpki-validation-reconsidered-02

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-sidr-rpki-validation-reconsidered-02

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Geoff Huston <[email-masked]>
Date: Fri, 9 Oct 2015 13:11:04 -0400

A date refresher, but with a minor excision in the intro sections to remove
the false impression that the only problem here is one related to 
address transfers between RIRs. There is a more general issue of 
the robustness of  certificate issuance and revocation tracking a space
that includes the dynamic state change of resources that this draft
addresses.

Geoff

> On 9 Oct 2015, at 1:06 PM, [email-masked] wrote:
> 
> 
> _______________________________________________
> sidr mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sidr

---

From: Geoff Huston <[email-masked]>
Date: Fri, 9 Oct 2015 13:23:52 -0400

Hi,

We were about to ask the WG chairs for a WG Last Call on this document, but then noticed that this is an informational document and its attempting to update a standards track RFC

We suspect that the best case is to instead look at a precise standards track document that describes the update to the validation procedure described RFC6487 and would be a clear candidate for Standards Track itself.

So draft-huston-sidr-validity-00.txt is that draft.

WG Chairs:- We would like to request WG adoption of draft-huston-sidr-validity-00.txt, on the understanding that draft-ietf-sidr-rpki-validation-reconsidered has done its work and should be allowed to expire gracefully in a corner at this point!

regards,

    Geoff & George

---

From: Geoff Huston <[email-masked]>
Date: Fri, 9 Oct 2015 13:25:25 -0400

sorry - forgot to add the url for this draft - here tis:

A new version of I-D, draft-huston-sidr-validity-00.txt
has been successfully submitted by Geoff Huston and posted to the
IETF repository.

Name:		draft-huston-sidr-validity
Revision:	00
Title:		Update to RPKI Validation
Document date:	2015-10-09
Group:		Individual Submission
Pages:		6
URL:            https://www.ietf.org/internet-drafts/draft-huston-sidr-validity-00.txt
Status:         https://datatracker.ietf.org/doc/draft-huston-sidr-validity/
Htmlized:       https://tools.ietf.org/html/draft-huston-sidr-validity-00

Abstract:
  This document updates the RPKI certificate validation procedure as
  specified in Section 7.2 of RFC6487.

The IETF Secretariat

> On 9 Oct 2015, at 1:23 PM, Geoff Huston <[email-masked]> wrote:
> 
> Hi,
>

---

From: Arturo Servin <[email-masked]>
Date: Tue, 13 Oct 2015 13:27:27 +0000

Hi

Something that I liked from draft-ietf-sidr-rpki-validation-reconsidered is
that it explained very well why we need to change the validation process.
Although it is not mandatory and I do not have a strong position about it,
I think it would be good to add some context to this document of why the
change.

/as

On Fri, 9 Oct 2015 at 18:25 Geoff Huston <[email-masked]> wrote:

> URL:
> https://www.ietf.org/internet-drafts/draft-huston-sidr-validity-00.txt
> Status:
> https://datatracker.ietf.org/doc/draft-huston-sidr-validity/
> > We were about to ask the WG chairs for a WG Last Call on this document,
> but then noticed that this is an informational document and its attempting
> to update a standards track RFC
> >
> > We suspect that the best case is to instead look at a precise standards
> track document that describes the update to the validation procedure
> described RFC6487 and would be a clear candidate for Standards Track itself.
> >
> > WG Chairs:- We would like to request WG adoption of
> draft-huston-sidr-validity-00.txt, on the understanding that
> draft-ietf-sidr-rpki-validation-reconsidered has done its work and should
> be allowed to expire gracefully in a corner at this point!
> >
> >
> > regards,
> >
> >    Geoff & George
> >
> >
> >
> >
> >>      Filename        :
> draft-ietf-sidr-rpki-validation-reconsidered-02.txt
> >>      Pages           : 12
> >>      Date            : 2015-10-09
> >>
> >> Abstract:

---

From: Geoff Huston <[email-masked]>
Date: Wed, 14 Oct 2015 05:06:41 +1100

I think that a standards track document that updates a specification
should be precisely and exactly that. Note that the document it updates
contains no rationale for its many design decisions.

This does not stop an informational document being published that contains
the discussion of the rationale for the change, but I think it better to keep
the desired change to the specification as succinct and as focussed as
possible

thanks,

  Geoff

> On 14 Oct 2015, at 12:27 AM, Arturo Servin <[email-masked]> wrote:
> 
> Hi
> 
> Something that I liked from draft-ietf-sidr-rpki-validation-reconsidered is that it explained very well why we need to change the validation process. Although it is not mandatory and I do not have a strong position about it, I think it would be good to add some context to this document of why the change.
> 
> /as
> 
>

---

From: "Roque Gagliano (rogaglia)" <[email-masked]>
Date: Wed, 14 Oct 2015 12:20:37 +0000

Hi Geoff,

In many cases we publish an Appendix on update documents detailing the
changes from previous version and given the rational that Arturo mentioned.

Roque

‹ 
Roque Gagliano
Tail-f Solutions Architect Southern Europe
+41 76 449 8867

On 13/10/15 20:06, "sidr on behalf of Geoff Huston" <[email-masked]
on behalf of [email-masked]> wrote:

>> Something that I liked from
>>draft-ietf-sidr-rpki-validation-reconsidered is that it explained very
>>well why we need to change the validation process. Although it is not
>>mandatory and I do not have a strong position about it, I think it would
>>be good to add some context to this document of why the change.
>> 
>> /as
>> 
>> 
>> Htmlized:       
>>https://tools.ietf.org/html/draft-huston-sidr-validity-00
>> 
>> 
>> Abstract:
>> > We were about to ask the WG chairs for a WG Last Call on this
>>document, but then noticed that this is an informational document and
>>its attempting to update a standards track RFC
>> >
>> > We suspect that the best case is to instead look at a precise
>>standards track document that describes the update to the validation
>>procedure described RFC6487 and would be a clear candidate for Standards
>>Track itself.
>> >
>>draft-ietf-sidr-rpki-validation-reconsidered has done its work and
>>should be allowed to expire gracefully in a corner at this point!
>> >
>> >
>> > regards,
>> >
>> >    Geoff & George
>> >
>> >
>> >
>> >